Page MenuHomePhabricator

Track how often the automated edits on the source wiki failed
Closed, ResolvedPublic1 Story Points

Description

Acceptance Criteria

  • On the FileImporter grafana board track how often the attempt to edit the source wiki failed, and how often it was successful
  • This should happen in a seperate panel, so that the move failure panel metrics are not influenced.

Event Timeline

Restricted Application added a project: TCB-Team. · View Herald TranscriptJun 25 2019, 2:31 PM
Lea_WMDE set the point value for this task to 3.Jun 25 2019, 2:31 PM
awight added a subscriber: awight.EditedJul 2 2019, 12:26 PM

Assuming we should also track how often deletions fail, maybe in a separate graph.

awight claimed this task.Jul 2 2019, 2:11 PM
awight moved this task from Sprint Backlog to Doing on the WMDE-QWERTY-Sprint-2019-06-26 board.

Change 520246 had a related patch set uploaded (by Awight; owner: Awight):
[mediawiki/extensions/FileImporter@master] Track remote edit success and failure stats

https://gerrit.wikimedia.org/r/520246

Change 520246 merged by jenkins-bot:
[mediawiki/extensions/FileImporter@master] Track remote edit success and failure stats

https://gerrit.wikimedia.org/r/520246

Needs the grafana panel.

WMDE-Fisch changed the point value for this task from 3 to 1.

I'm concerned that we might not be recording failures, instead the control flow hits the outer exception handling block.

The rough graphs are up, and they show that we have a big problem. Source wiki edits and deletes always fail, we haven't recorded a single success.

What is there left to do for the completion of this ticket?

What is there left to do for the completion of this ticket?

We should probably try to get more specific information on whey the source edit/deletion fails. - Also, when looking at the numbers, I'm not sure how big the issue really is, since we do not exactly know how the tried/failed ratio is.

tl;dr:

  • Show more specific input on why things fail ( if possible )
  • Show numbers on how often source edit/deletion was attempted
thiemowmde closed this task as Resolved.Wed, Sep 25, 1:02 PM
awight added a comment.EditedWed, Sep 25, 1:20 PM

Note to team: This is still blocked on T199939: Audit tests/selenium/LocalSettings.php file aiming at possibly deprecating the feature or another means for making $wgEnableUploads = true during browser tests.